<template>
    <div class="eContainer">
        <el-form :model="model" :rules="rules" ref="modelForm" tokenKey="modelForm" label-width="170px" size="small" :validate-on-rule-change="false">
            <!-- <c-tabs :value="tabVal" ref="elment" type="card" @tab-click="tabClick"> -->
                <!-- <el-tab-pane :value="tabVal" label="待办任务查询" name="menu"> -->
                    <!-- <c-content> -->
                    <m-menu :model="model" :codes="codes" ref="Menu"/>
                    <!-- </c-content> -->
                <!-- </el-tab-pane> -->
            <!-- </c-tabs> -->
        </el-form>
    </div>
</template>
<script>
import Api from "~/service/Api"
import CodeTable from "~/config/CodeTable"
import Sptsel from "~/model/Sptsel"
import commonProcess from "~/mixin/commonProcess.js"
import Pattern from "~/model/Sptsel/Pattern"
import Utils from "~/utils/index"
import Default from "~/model/Sptsel/Default";
import Check from "~/model/Sptsel/Check";
import Menu from "./Menu"
import Event from "~/model/Sptsel/Event"

export default {
    name: 'Sptbrk',
    components:{
        "m-menu" : Menu,
    },
    provide() {
        return {
            root: this
        }
    },
    mixins: [commonProcess],    // 里面包含了Default、Check等的公共处理
    data(){
        return {
            tabVal: "menu",
            trnName:"sptsel",
            model:new Sptsel().data,           
            checkRules: Check,
            defaultRules: Default,
            pattern: Pattern,
            rules:null,
            codes:{
               flt:CodeTable.flt,
               dflg:CodeTable.dflg
            },
        }
    },
    methods:{...Event},
    mounted:async function(){
        console.log("进入sptsel交易");
        const that = this;
        that.init(that.model).then(res => {
            //TODO 处理数据逻辑
             that.model = Utils.copyValueFromVO(that.model, res.data)
             this.$refs.Menu.sptfndHandleSearch();
            //  that.$refs.Menu.stmData.columns = res.data.sptstm.rows;
        })
    },
    computed: {
        reload: function(){
            return this.$store.state.Status.loading.freshPending;
        }
    },
    watch:{
        reload: function(val, oldVal){
            if(val){
                const that = this;
                that.init(that.model).then((res) => {
                    that.model = Utils.copyValueFromVO(that.model, res.data);
                    //请求草稿箱数据
                    this.$refs.Menu.sptfndHandleSearch();
                    //刷新页面后重置刷新状态为不刷新
                    this.$store.commit("setLoadingFreshPending", false)
                });
            }
        },
    },
}
</script>
<style>
</style>
